Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621054 - socket.error : RHUA monitor before rhua start
socket.error : RHUA monitor before rhua start
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 02:26 EDT by Shveta
Modified: 2012-05-31 08:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 08:57:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shveta 2010-08-04 02:26:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

[root@ip-10-204-149-10 noarch]# rhua monitor
Traceback (most recent call last):
  File "/usr/bin/rhua", line 21, in ?
    rhua.cli.main(sys.argv)
  File "/usr/lib/python2.4/site-packages/rhua/cli.py", line 102, in main
    func(options, *args[2:])
  File "/usr/lib/python2.4/site-packages/rhua/monitor.py", line 71, in heartbeat
    if not __test_mirror_list(channel['url']):
  File "/usr/lib/python2.4/site-packages/rhua/monitor.py", line 271, in __test_mirror_list
    conn.request('GET', mirror_list_url)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/httplib.py", line 636, in connect
    raise socket.error, msg
socket.error: (111, 'Connection refused')
Comment 1 Jay Dobies 2010-08-04 10:43:48 EDT
commit	d6cc1c77f3390d8f855255efd1dc5d99ccd03bf6
tree	b81a41d40bbc32fe8274b99969c8bed2376b66db


621054 - The test mirror list call was in an except block when being called from summary, but not monitor.


rhui/rhua/src/rhua/monitor.py
Comment 2 wes hayutin 2010-08-04 16:35:38 EDT
[root@domU-12-31-39-00-17-F2 pub]# rhua stop
========================================
RHUA Stop

Stopping daemons
Removing update cron entry from [/etc/cron.d/rhua_update.cron]
Removing monitor cron entry from [/etc/cron.d/rhua_monitor.cron]
========================================
[root@domU-12-31-39-00-17-F2 pub]# rhua monitor
[root@domU-12-31-39-00-17-F2 pub]# echo $?
0
Comment 3 wes hayutin 2011-08-01 17:40:33 EDT
moving to release pending
Comment 4 wes hayutin 2012-05-31 08:57:14 EDT
closing out, product released

Note You need to log in before you can comment on or make changes to this bug.